## org.firebirdsql.pool
Class ResultSetHandler

    java.lang.Object
      org.firebirdsql.pool.ResultSetHandler

All Implemented Interfaces:
  InvocationHandler

    public class ResultSetHandler

extends Object
implements InvocationHandler

Wrapper for result sets. This class watches the `ResultSet.getStatement()` invocations and substitutes the result of the method call with the proxy wrapping corresponding prepared statement.

Author:
  Roman Rokytskyy

Constructor Summary
`ResultSetHandler(Statement owner, ResultSet target)` Create instance of this class for the specified prepared statement proxy and target result set.

Method Summary
`static Method` `findMethod(Class clazz, String name, Class[] params)`
`Object` `invoke(Object proxy, Method method, Object[] args)` Implementation of the dynamic proxy handler interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetHandler

    public ResultSetHandler(Statement owner,
                            ResultSet target)

  Create instance of this class for the specified prepared statement proxy and target result set.

  Parameters:
    `owner` - dynamic proxy implementing `PreparedStatement` interface that generated result set to wrap.
    `target` - result set to wrap.

Method Detail

### findMethod

    public static Method findMethod(Class clazz,
                                    String name,
                                    Class[] params)

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Implementation of the dynamic proxy handler interface.

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

Copyright © 2001-2010. All Rights Reserved.